#ifndef EDITDIALOG_H
#define EDITDIALOG_H

#include <QtGui/QDialog>

#include "movement.h"
#include "position.h"

namespace Ui {
    class EditDialog;
}

class EditDialog : public QDialog {
    Q_OBJECT
public:
    EditDialog(QWidget *parent = 0);
    ~EditDialog();
    void setMovement(Movement* m);
    void setPosition(Position* p);

protected:
    void changeEvent(QEvent *e);

private:
    Movement* m;
    Position* p;
    Ui::EditDialog *m_ui;

private slots:
    void on_buttonBox_accepted();
};

#endif // EDITDIALOG_H
