#include "movement.h"

Movement::Movement()
{
}

void Movement::updateTiming()
{
    int time=0;
    for(int i=0; i<this->childCount(); i++)
        time+=this->child(i)->text(1).toInt();
    this->setText(1,QString::number(time));
}

QDomNode Movement::prepareXmlBlock(QDomDocument doc)
{
    QDomElement m_xml = doc.createElement("movement");
    QDomElement title_xml = doc.createElement("title");
    QDomText title_txt = doc.createTextNode(this->text(0));
    title_xml.appendChild(title_txt);
    m_xml.appendChild(title_xml);
    for(int i=0; i<this->childCount(); i++){
        Position* p=(Position*)this->child(i);
        m_xml.appendChild(p->prepareXmlBlock(doc));
    };
    return m_xml;
}

QString Movement::readXmlBlock(QDomNode node)
{
    if(node.childNodes().at(0).nodeName()!="title"){
        return "First child of some <movement> is not <title>!";
    }else{
        this->setText(0,node.childNodes().at(0).childNodes().at(0).nodeValue());
        for(int i=1; i<node.childNodes().count(); i++)
        {
            Position* p=new Position();
            this->addChild(p);
            QString err=p->readXmlBlock(node.childNodes().at(i));
            if(err!="")return err;
        };
        this->updateTiming();
        return "";
    };
}
