#ifndef POSITION_H
#define POSITION_H

#include <QTreeWidgetItem>
#include <QDomDocument>
#include <QDomNode>
#include <QList>

#include "servopos.h"

class Position : public QTreeWidgetItem
{
private:
    QList<ServoPos*> positions;
public:
    Position();
    QDomNode prepareXmlBlock(QDomDocument doc);
    QString readXmlBlock(QDomNode node);
    void add(QString id, int pos);
    void add(ServoPos* sp);
    int count();
    void remove(int i);
    ServoPos* item(int i);
};

#endif // POSITION_H
